org.springframework.batch.core.jsr.configuration.xml

## Class JsrFlowFactoryBean

- java.lang.Object
- - org.springframework.batch.core.configuration.xml.SimpleFlowFactoryBean
  - - org.springframework.batch.core.jsr.configuration.xml.JsrFlowFactoryBean

- All Implemented Interfaces:
    org.springframework.beans.factory.FactoryBean<SimpleFlow>, org.springframework.beans.factory.InitializingBean

      public class JsrFlowFactoryBean
      extends SimpleFlowFactoryBean

  Extension to the `SimpleFlowFactoryBean` that provides `JsrStepState` implementations for JSR-352 based jobs.
  Since:
    3.0
  Author:
    Michael Minella

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.batch.core.configuration.xml.SimpleFlowFactoryBean

      `SimpleFlowFactoryBean.DelegateState`

  - ### Field Summary

    - ### Fields inherited from interface org.springframework.beans.factory.FactoryBean

      `OBJECT_TYPE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsrFlowFactoryBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected State` | `createNewStepState(State state, java.lang.String oldName, java.lang.String stateName)` Provides an extension point to provide alternative `StepState` implementations within a `SimpleFlow`

    - ### Methods inherited from class org.springframework.batch.core.configuration.xml.SimpleFlowFactoryBean

      `afterPropertiesSet, getObject, getObjectType, isSingleton, setFlowType, setName, setStateTransitionComparator, setStateTransitions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsrFlowFactoryBean

          public JsrFlowFactoryBean()

  - ### Method Detail

    - #### createNewStepState

          protected State createNewStepState(State state,
                                             java.lang.String oldName,
                                             java.lang.String stateName)

      Description copied from class: `SimpleFlowFactoryBean`
      Provides an extension point to provide alternative `StepState` implementations within a `SimpleFlow`
      Overrides:
        `createNewStepState` in class `SimpleFlowFactoryBean`
      Parameters:
        `state` - The state that will be used to create the StepState
        `oldName` - The name to be replaced
        `stateName` - The name for the new State
      Returns:
        a state for the requested data